﻿'A reference to the Phidget22.NET.dll must be added to new projects in VB.Net 
'From the "Project" menu select "Add Reference" 
'From the "Add Reference" window select the "Browse" tab 
'Browse to the directory you installed the Phidgets library to 
'The default is "C:\Program Files\Phidgets" 
'Select "Phidget22.NET.dll" and click "OK" 
'To view objects that have been added, select the "View" menu 
'Select "Object Browser" 
'Then expand the Phidget22.NET.dll item 



Imports Phidget22
Imports Phidget22.Events

Public Class Form1
    Dim WithEvents device As Phidget22.CapacitiveTouch
    Dim open As ExampleUtils.ExampleUtils.CommandLineOpen
    Dim errorBox As ErrorEventBox

    Public Sub New()
        open = New ExampleUtils.ExampleUtils.CommandLineOpen(Me)
        ' This call is required by the Windows Form Designer.
        Phidget22.Phidget.InvokeEventCallbacks = True
        InitializeComponent()
        ' Add any initialization after the InitializeComponent() call.
    End Sub

    Public Sub New(ByVal commandLine As String())
        open = New ExampleUtils.ExampleUtils.CommandLineOpen(Me)
        open.commandLine = commandLine
        Phidget22.Phidget.InvokeEventCallbacks = True
        InitializeComponent()
    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        errorBox = New ErrorEventBox(Me)

        device = New Phidget22.CapacitiveTouch()
        open.openCmdLine(device)
    End Sub

    Private Sub Form1_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        Application.DoEvents()
        If device.Attached Then
            device.Close()
        End If
    End Sub

    Private Sub device_Attach(ByVal sender As Object, ByVal e As Phidget22.Events.AttachEventArgs) Handles device.Attach
        'When the Phidget CurrentInput attaches update the form text boxes
        PhidgetInfoBox1.FillPhidgetInfo(CType(sender, Phidget22.CapacitiveTouch))

        dataIntervalTrk.Enabled = False

        Dim attachedDevice As Phidget22.CapacitiveTouch = CType(sender, Phidget22.CapacitiveTouch)

        Try
            'initialize form controls.  change trigger and data interval must be set before the device will function
            changeTriggerTrk.Unit = ""
            changeTriggerTrk.minTxt = attachedDevice.MinTouchValueChangeTrigger.ToString()
            changeTriggerTrk.maxTxt = attachedDevice.MaxTouchValueChangeTrigger.ToString()
            changeTriggerTrk.Minimum = attachedDevice.MinTouchValueChangeTrigger
            changeTriggerTrk.Maximum = attachedDevice.MaxTouchValueChangeTrigger
            changeTriggerTrk.Value = attachedDevice.TouchValueChangeTrigger

        Catch ex As PhidgetException
            errorBox.addMessage("Error initializing: " + ex.Message)
        End Try

        Try
            dataIntervalTrk.Enabled = True
            dataIntervalTrk.Unit = " ms"
            dataIntervalTrk.minTxt = attachedDevice.MinDataInterval.ToString()
            dataIntervalTrk.maxTxt = attachedDevice.MaxDataInterval.ToString()
            dataIntervalTrk.Minimum = attachedDevice.MinDataInterval
            dataIntervalTrk.Maximum = attachedDevice.MaxDataInterval
            dataIntervalTrk.Value = attachedDevice.DataInterval
        Catch ex As PhidgetException
            errorBox.addMessage("Error initializing: " + ex.Message)
        End Try

        settingsBox.Visible = True
        outputBox.Visible = True

        sensitivityTrk.Minimum = 0
        sensitivityTrk.Maximum = 100
        sensitivityTrk.TickFrequency = 1
    End Sub

    Private Sub device_Detach(ByVal sender As Object, ByVal e As Phidget22.Events.DetachEventArgs) Handles device.Detach
        'If the Phidget CurrentInput detaches close the form
        PhidgetInfoBox1.Clear()
        settingsBox.Visible = False
        outputBox.Visible = False
    End Sub

    Private Sub device_Error(ByVal sender As Object, ByVal e As Phidget22.Events.ErrorEventArgs) Handles device.Error
        errorBox.addMessage(e.Description)
    End Sub

    Private Sub device_onTouch(ByVal sender As Object, ByVal e As Phidget22.Events.CapacitiveTouchTouchEventArgs) Handles device.Touch
        touchedChk.Checked = True
        touchValueTxt.Text = e.TouchValue.ToString("F3")
    End Sub

    Private Sub device_onTouchEnd(ByVal sender As Object, ByVal e As Phidget22.Events.CapacitiveTouchTouchEndEventArgs) Handles device.TouchEnd
        touchedChk.Checked = False
    End Sub

    Private Sub dataIntervalTrk_Scroll(sender As Object, e As EventArgs) Handles dataIntervalTrk.LogScroll
        If (MouseButtons = MouseButtons.Left) Then
            Try
                device.DataInterval = CType(dataIntervalTrk.Value, Integer)
            Catch ex As Exception
                errorBox.addMessage("Error setting data interval: " + ex.Message)
            End Try
        End If
    End Sub

    Private Sub dataIntervalTrk_LogMouseUp(sender As Object, e As EventArgs) Handles dataIntervalTrk.LogMouseUp
        Try
            device.DataInterval = CType(dataIntervalTrk.Value, Integer)
        Catch ex As Exception
            errorBox.addMessage("Error setting data interval: " + ex.Message)
        End Try
    End Sub

    Private Sub changeTriggertrk_Scroll(sender As Object, e As EventArgs) Handles changeTriggerTrk.LogScroll
        If (MouseButtons = MouseButtons.Left) Then
            Try
                device.TouchValueChangeTrigger = CType(changeTriggerTrk.Value, Integer)
            Catch ex As Exception
                errorBox.addMessage("Error setting data interval: " + ex.Message)
            End Try
        End If
    End Sub

    Private Sub changeTriggerTrk_LogMouseUp(sender As Object, e As EventArgs) Handles changeTriggerTrk.LogMouseUp
        Try
            device.TouchValueChangeTrigger = CType(changeTriggerTrk.Value, Integer)
        Catch ex As Exception
            errorBox.addMessage("Error setting data interval: " + ex.Message)
        End Try
    End Sub

    Private Sub sensitivityTrk_Scroll(sender As Object, e As EventArgs) Handles sensitivityTrk.Scroll
        Try
            device.Sensitivity = (device.MaxSensitivity - device.MinSensitivity) * (CType(sensitivityTrk.Value, Double) / 100)
        Catch ex As PhidgetException
            errorBox.addMessage("Error setting sensitivity: " + ex.Message)
        End Try
    End Sub
End Class



